#!/usr/bin/env python3
import json
import string
import random
import glob, os
import sys


def check_error(path):
    # print("processing content: %s..." % path)
    with open(path, "r", encoding="utf-8") as f:
        # readlines以列表的形式将文件读出
        lines = f.readlines()

    with open(path, "w", encoding="utf-8") as f_w:
        for line in lines:
            if "R.drawable." in line:
                line = line + "\n" + new_func_code() + "\n"
            f_w.write(line)
    return


for root, dirs, files in os.walk("../../../app/src/main"):
    directory = os.path.join(os.getcwd(), root)
    for file in files:
        if file.endswith(".java"):
            # get the path of the java file
            path = os.path.join(directory, file)
            add_func(path)